window.Gleam.initSearch([{"doc":"stdin","title":"stdin","content":"[![Package Version](https://img.shields.io/hexpm/v/stdin)](https://hex.pm/packages/stdin)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/stdin/)\n\n# stdin\n\n`stdin` provides a synchronous iterator for consuming stdin. It supports all the non-browser targets, Erlang, Node, Deno, and Bun.\n\nThe goal of this package is to provide a uniform way of consuming stdin for all supported targets on all supported platforms.\n\n| Platform     | Target Status | Date         |\n|:------------:|:-------------:|:------------:|\n| Windows 10   | All OK.       | `2024-06-08` |\n| macOS 14.5   | All OK.       | `2024-06-11` |\n| Ubuntu 24.04 | All OK.       | `2024-06-11` |\n| Fedora 40    | All OK? #3    | `2024-06-11` |\n\n```sh\ngleam add stdin\n```\n\n```gleam\nimport gleam/io\nimport gleam/iterator\nimport stdin.{stdin}\n\npub fn main() {\n  stdin()\n  |&gt; iterator.to_list\n  |&gt; io.debug\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/stdin&gt;.\n\n## Development\n\n```sh\ncat README.md | gleam test --target=javascript --runtime=node\ncat README.md | gleam test --target=javascript --runtime=bun\ncat README.md | gleam test --target=javascript --runtime=deno\ncat README.md | gleam test --target=erlang\n```\n","url":"index.html"},{"doc":"stdin","title":"stdin","content":"pub fn stdin() -&gt; Iterator(String)\n\nSynonyms:\nstdin.stdin\nstdin stdin","url":"stdin.html#stdin"},{"doc":"stdin","title":"stdin","content":"","url":"stdin.html"},{"doc":"stdin_test","title":"main","content":"pub fn main() -&gt; String\n\nSynonyms:\nstdin_test.main\nstdin_test main","url":"stdin_test.html#main"},{"doc":"stdin_test","title":"stdin_test","content":"","url":"stdin_test.html"}]);